﻿namespace Telerik.UI.Xaml.Controls.Data
{
    /// <summary>
    /// Defines the possible row alignment modes used by a <see cref="WrapVirtualizationStrategyDefinition"/>to position
    /// the visual items on the <see cref="RadDataBoundListBox"/> viewport.
    /// </summary>
    public enum WrapLineAlignment
    {
        /// <summary>
        /// Starts positioning containers at the beginning of the row.
        /// </summary>
        Near,

        /// <summary>
        /// Centers the containers in the row.
        /// </summary>
        Center,

        /// <summary>
        /// Starts positioning containers at the end of the row.
        /// </summary>
        Far
    }
}
