﻿namespace Telerik.UI.Xaml.Controls.Grid
{
    /// <summary>
    /// Defines the available modes that control the User Input and Experience related to the filtering operations within the <see cref="RadDataGrid"/> component.
    /// </summary>
    public enum DataGridUserFilterMode
    {
        /// <summary>
        /// The default (automatic) option is used.
        /// </summary>
        Auto,

        /// <summary>
        /// The filtering exposed to the user through the filtering button on each column header is enabled.
        /// </summary>
        Enabled,

        /// <summary>
        /// The filtering exposed to the user through the filtering button on each column header is disabled.
        /// </summary>
        Disabled
    }
}
