﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Telerik.UI.Xaml.Controls.Primitives
{
    /// <summary>
    /// Defines the available predefined transitions which are applied to the drawer and the main content.
    /// </summary>
    public enum DrawerTransition
    {
        /// <summary>
        /// Defines the SlideInOnTop transition.
        /// </summary>
        SlideInOnTop,

        /// <summary>
        /// Defines the Push transition.
        /// </summary>
        Push,

        /// <summary>
        /// Defines the Reveal transition.
        /// </summary>
        Reveal,

        /// <summary>
        /// Defines the ReverseSlideOut transition.
        /// </summary>
        ReverseSlideOut,

        /// <summary>
        /// Defines the ScaleDownPusher transition.
        /// </summary>
        ScaleDownPusher,

        /// <summary>
        /// Defines the ScaleUp transition.
        /// </summary>
        ScaleUp,

        /// <summary>
        /// Defines the SlideAlong transition.
        /// </summary>
        SlideAlong,
    }
}